MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029691Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-04-12 11:042018-06-23 13:56
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029691: Constructor of BRepFill_MultiLine adjusts V-parameter of sphere in the range -PI/2 ... +PI/2 mistakenly.
DescriptionSee IR-2018-04-10, BRepFill_MultiLine.cxx, line 230.

1. Sphere is not V-periodic surface. See the section "Periodicity concept" written in frame of the fix 0029115. Therefore, applying ElCLib::AdjustPeriodic(...) method is a foolish.

2. Default U work range of sphere is 0 ... 2*PI. Therefore, adjusting U parameter in range -PI/2 ... +PI/2 is a foolish.
Steps To ReproduceNot required
Additional information
and documentation updates
See the message 0029115:0075138, item 8.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0075401)
git (administrator)
2018-04-12 11:11

Branch CR29691 has been created by nbv.

SHA-1: 8924bd092586601b767f8fd3b0cd556addfadea9


Detailed log of new commits:

Author: nbv
Date: Thu Apr 12 11:10:22 2018 +0300

    0029691: Constructor of BRepFill_MultiLine adjusts V-parameter of sphere in the range -PI/2 ... +PI/2 mistakenly.
    
    Stupid code has been deleted.
(0075415)
git (administrator)
2018-04-12 13:23

Branch CR29691_1 has been created by nbv.

SHA-1: 7719e870f7152ad66d2500b124528a1529f47c97


Detailed log of new commits:

Author: nbv
Date: Thu Apr 12 11:10:22 2018 +0300

    0029691: Constructor of BRepFill_MultiLine adjusts V-parameter of sphere in the range -PI/2 ... +PI/2 mistakenly.
    
    1. Sphere is not V-periodic surface. See the section "Periodicity concept" written in frame of the fix 0029115. Therefore, applying ElCLib::AdjustPeriodic(...) method is a foolish.
    
    2. Default U work range of sphere is 0 ... 2*PI. Therefore, adjusting U parameter in range -PI/2 ... +PI/2 is a foolish.
(0075416)
nbv (developer)
2018-04-12 13:25

Dear Mikhail,

The branch CR29691_1 is ready for review.

Test results are here: http://jenkins-test-11.nnov.opencascade.com/view/CR29691-master_NBV/ [^]

Please pay attention to the fact that the branch CR29691 has been tested (instead of CR29691_1). However, these branches differ the comiit message only. I.e. they are equivalent.
(0075473)
git (administrator)
2018-04-17 13:05

Branch CR29691_1 has been updated forcibly by nbv.

SHA-1: 8594d539298713af9b4950c884a5721b4d4d5a7e
(0075474)
msv (developer)
2018-04-17 13:07

Reviewed.
(0076190)
bugmaster (administrator)
2018-05-23 17:06

Combination -
OCCT branch : CR29691 SHA - 8924bd092586601b767f8fd3b0cd556addfadea9
Products branch : master SHA - 8471189e8649026d76950924f8ec2b4878cba528
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17998.599999999842 / 18092.32999999989 [-0.52%]
Products
Total CPU difference: 7490.810000000032 / 7480.610000000005 [+0.14%]
Windows-64-VC10:
OCCT
Total CPU difference: 17912.5184230984 / 17813.754189998494 [+0.55%]
Products
Total CPU difference: 8215.839465299863 / 8149.242638399972 [+0.82%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076192)
bugmaster (administrator)
2018-05-23 17:10

NBV recommended to integrate CR29691_1 with more right wording of commits
(0076916)
git (administrator)
2018-06-23 13:56

Branch CR29691 has been deleted by kgv.

SHA-1: 8924bd092586601b767f8fd3b0cd556addfadea9
(0076917)
git (administrator)
2018-06-23 13:56

Branch CR29691_1 has been deleted by kgv.

SHA-1: 8594d539298713af9b4950c884a5721b4d4d5a7e

- Related Changesets
occt: master ef33df51
Timestamp: 2018-04-12 08:10:22
Author: nbv
Committer: bugmaster
Details ] Diff ]
0029691: Constructor of BRepFill_MultiLine adjusts V-parameter of sphere in the range -PI/2 ... +PI/2 mistakenly.

1. Sphere is not V-periodic surface. See the section "Periodicity concept" written in frame of the fix 0029115. Therefore, applying ElCLib::AdjustPeriodic(...) method is unreasonable.

2. Default U work range of sphere is 0 ... 2*PI. Therefore, adjusting U parameter in range -PI/2 ... +PI/2 is unreasonable.
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-04-12 11:04 nbv New Issue
2018-04-12 11:04 nbv Assigned To => msv
2018-04-12 11:11 git Note Added: 0075401
2018-04-12 11:12 nbv Additional Information Updated View Revisions
2018-04-12 13:23 git Note Added: 0075415
2018-04-12 13:25 nbv Note Added: 0075416
2018-04-12 13:31 nbv Status new => resolved
2018-04-12 13:31 nbv Steps to Reproduce Updated View Revisions
2018-04-17 13:05 git Note Added: 0075473
2018-04-17 13:07 msv Note Added: 0075474
2018-04-17 13:07 msv Assigned To msv => bugmaster
2018-04-17 13:07 msv Status resolved => reviewed
2018-05-23 17:06 bugmaster Note Added: 0076190
2018-05-23 17:06 bugmaster Status reviewed => tested
2018-05-23 17:10 bugmaster Note Added: 0076192
2018-05-24 14:39 bugmaster Test case number => Not needed
2018-06-14 18:20 bugmaster Changeset attached => occt master ef33df51
2018-06-14 18:20 bugmaster Status tested => verified
2018-06-14 18:20 bugmaster Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076916
2018-06-23 13:56 git Note Added: 0076917


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker